%% Header
% Author: John Thompson
% Date Created: 1/13/2017
% Date Last Changed: 1/13/2017

%% Initiate STK
uiApplication = actxserver('STK11.application');
uiApplication.Visible = 1;

root = uiApplication.Personality2;
root.NewScenario('CodeExamples');

%% Create Objects
satellite = root.CurrentScenario.Children.New('eSatellite', 'MySat');
facility = root.CurrentScenario.Children.New('eFacility', 'MyFac');
sensor = satellite.Children.New('eSensor', 'Sens1');
sensor2 = facility.Children.New('eSensor', 'Sens2');

%% Transmitter and Receiver 
trans = sensor.Children.New('eTransmitter', 'MyTrans');
rec = sensor2.Children.New('eReceiver', 'MyRec');

rec.SetModel('Complex Receiver Model');
rxModel = rec.Model;
rxModel.AutoTrack = 0;
rxModel.Frequency = 15;
rxModel.LnaGain = 7;

trans.SetModel('Complex Transmitter Model');
txModel = trans.Model;
txModel.Frequency = 20; %GHz
txModel.Power = 30; %dBW
txModel.DataRate = 16; %Mb/sec

%% Antenna 
antennaControl = txModel.AntennaControl;
antennaControl.SetEmbeddedModel('Dipole');
antennaControl.EmbeddedModel.Length = 6;